Subject: bug#63967: closed (Re: bug#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Jun 2023 16:24:02 +0000

Your bug report

#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63967: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63967
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active
From: Alan Mackenzie <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked], [email-masked], Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 17 Jun 2023 16:23:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Martin and Eli.

On Sat, Jun 17, 2023 at 15:52:22 +0200, martin rudalics wrote:
>  > It's certainly a simple patch, and I think it's safe enough for Emacs
>  > 29.  Maybe other people (e.g. Martin) would be good enough to give it a
>  > quick going over before we commit it.

> I cannot see any problems with it.

Thanks, Martin.

I've now committed the patch to the emacs-29 branch, and I'm closing the
bug with this post.

> martin

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 28.2; switch-to-buffer in normal window fails if minibuffer window is active
From: Al Petrofsky <[email-masked]>
To: [email-masked]
Date: Thu, 8 Jun 2023 17:32:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

While the minibuffer window is active, attempt to switch buffers in
an ordinary window like so:

emacs -Q
M-: (setq enable-recursive-minibuffers t) RET
M-x C-x o C-x b foo RET

In emacs 27 and earlier, that will switch the buffer in the main
window to the new buffer named "foo", but in emacs 28.2, it generates
a bogus "user-error: Cannot switch buffers in minibuffer window".

I get the same results with -nw.